%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:           nodejs-define-properties
Version:        1.1.2
Release:        %mkrel 2
Summary:        Define multiple non-enumerable properties at once

License:        MIT
URL:            https://github.com/ljharb/define-properties
Source0:        https://registry.npmjs.org/define-properties/-/define-properties-%{version}.tgz
BuildArch:      noarch


ExclusiveArch: %{ix86} x86_64 %{arm} noarch

Group:          Development/Other

BuildRequires:  nodejs-packaging

BuildRequires:  npm(foreach)
BuildRequires:  npm(object-keys)
%if 0%{?enable_tests}
BuildRequires:  npm(tape)
%endif

%description
Define multiple non-enumerable properties at once. Use
Object.defineProperty when available; falls back to standard
assignment in older engines. Existing properties are not
overridden. Accepts a map of property names to a predicate
that, when true, force-overrides.


%prep
%setup -q -n package
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/define-properties
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/define-properties
%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
%{__nodejs} test/index.js
%endif

%files
%{!?_licensedir:%global license %doc}
%doc README.md CHANGELOG.md
%license LICENSE
%{nodejs_sitelib}/define-properties



%changelog
* Wed May 25 2016 neoclust <neoclust> 1.1.2-2.mga6
+ Revision: 1018345
- Enable tests

* Tue May 17 2016 joequant <joequant> 1.1.2-1.mga6
+ Revision: 1016337
- imported package nodejs-define-properties

